/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        24.10.2007
 Description:    Webserver uvm.
----------------------------------------------------------------------------*/

#include <avr/io.h>

#include "config.h"
#include "usart.h"
#include "networkcard/enc28j60.h"
#include "stack.h"
#include "timer.h"
#include "httpd.h"
#include "ntp.h"
#include "base64.h"
//#include "display/ks0108.h"

//----------------------------------------------------------------------------
/// \brief Hauptroutine
int main(void)
{  
    unsigned int a;
	
	for(a=0;a<32000;a++){asm("nop");};
	
	 // Initialisieren des Displays
//	ks0108Init(0);

//	printf("AVR-Started");
	
	 //Applikationen starten
	stack_init();
	httpd_init();
	
	//Ethernetcard Interrupt enable
	ETH_INT_ENABLE;
	
	//Globale Interrupts einschalten
	sei(); 
	
	 // Netzwerkzeit erfragen
	ntp_init();
	ntp_request();
	
	while(1)
	{
    }
		
return(0);
}

