/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        12.11.2007
 Description:    NTP Client
----------------------------------------------------------------------------*/

#ifndef _NTPCLIENT_H
	#define _NTPCLIENT_H

	//#define NTP_DEBUG printf
	//#define NTP_DEBUG usart_write
	#define NTP_DEBUG(...)


	#include <avr/io.h>
	#include <avr/pgmspace.h>
	#include <stdio.h>
	#include "stack.h"
	#include "usart.h"

	#define NTP_CLIENT_PORT		2300
	#define NTP_SERVER_PORT		123

	void ntp_init(void);
	void ntp_request(void); 
	void ntp_get(unsigned char);
	
	#define GMT_TIME_CORRECTION 3600	//1Stunde in Sekunden
	
	struct NTP_GET_Header {
		char dummy[40];
		unsigned long rx_timestamp;
	};
	
	extern unsigned char hh;
	extern unsigned char mm;
	extern unsigned char ss;
	
	
#endif
